#ifndef __SAMPLE2_H__
#define __SAMPLE2_H__

#include <qvbox.h>
#include <qiconview.h>

class SampleIV;

enum ViewMode {	
	Icon,
	List
};
enum BackgroundType {
	Ruled,
	SolidColor,
	Image
};


class SampleView : public QVBox {
public:
	SampleView ( QWidget *parent = 0, const char *name = 0 );
	
	void setViewMode ( ViewMode m );
	void setBackgroundType( BackgroundType t, const QString &val );
	void setTextColor ( const QColor &tc );
	void setViewFont ( const QFont &f );
	void setItemTextPos ( QIconView::ItemTextPos pos );
	void calculateGrid ( QIconView::ItemTextPos pos );
	void setBackgroundPixmap ( const QPixmap &pm );
	void setBackgroundColor ( const QColor &c );
	void drawBackground ( SampleIV *that, QPainter *p, const QRect &r );
	void paletteChange ( SampleIV *that, const QPalette &p );

private:
	QColor m_textcolor;
	QColor m_bgcolor;
	QPixmap m_bgpix;
	BackgroundType m_bgtype;
	SampleIV *m_iv;
};


#endif

